require "colorize"
require "thor"

module PackageCloud
  class CLI < Thor
    option "config"
    option "url"
    desc "push user/repo /path/to/package",
         "push package to repository"
    def push(repo, package_file)
      config = ConfigFile.new(options[:config] || "~/.packagecloud",
                              options[:url] || "packagecloud.io")
      config.read_or_create
      client = Client.new(config)
      print "Trying to find a repository at #{repo}... "
      repo = client.repository(repo)
      print "success!\n"
      print "Pushing package #{package_file}... "
      repo.create_package(package_file)
    end
  end
end
