require "json"
require "rest_client"

module PackageCloud
  class Client
    def initialize(config)
      @config = config
    end

    def repository(name)
      base_url = @config.base_url
      user, repo = name.split("/")
      begin
        attrs = JSON.parse(RestClient.get("#{base_url}/#{user}/#{repo}.json"))
        Repository.new(attrs, @config)
      rescue RestClient::ResourceNotFound => e
        print "failed!\n".red
        exit(127)
      end
    end
  end
end
