module PackageCloud
  class Repository < Object
    def initialize(attrs, config)
      @attrs = attrs
      @config = config
    end

    def create_package(file_path)
      file_data = File.new(file_path, 'rb')
      base_url = @config.base_url 
      url = base_url + paths["create_package"]
      begin
        RestClient.post(url, package: {package_file: file_data})
        print "success!\n".green
      rescue RestClient::UnprocessableEntity => e
        print "error:\n".red
        json = JSON.parse(e.response)
        json.each do |k,v|
          puts "\n\t#{k}: #{v.join(", ")}\n"
        end
        puts ""
        exit(1)
      end
    end
  end
end
